Get Mega Bundle Status

Get Mega Bundle Status
Get mega bundle processing status

Get the current processing status of an uploaded mega bundle. This endpoint provides information about upload status.

Request
URI
GET
https://{api_host}/ssp/security-content/bundles/{id}/status
COPY
Path Parameters
string
id
Required  

Unique identifier for the mega bundle upload


Authentication
This operation uses the following authentication methods.
Responses
200

Mega bundle status retrieved successfully

Returns AsyncActivity of type(s) application/json
{
    "_create_time": 0,
    "_last_modified_time": 0,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "activity_status_msg": "string",
    "_completed_at": 0
}
integer As int64 As int64
_create_time
Optional

Timestamp in milliseconds since epoch.

integer As int64 As int64
_last_modified_time
Optional

Timestamp in milliseconds since epoch.

string
id
Required   Read-Only  

Unique identifier of this activity.

string
display_name
Optional
Constraints: maxLength: 255

Display name of this activity. Defaults to ID if not set.

string
description
Optional
Constraints: maxLength: 1024

Description of this resource.

string
activity_status_msg
Read-Only  

Activity status message.

integer As int64 As int64
_completed_at
Optional

Timestamp in milliseconds since epoch.


400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


404

Mega bundle ID not found

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-all-airgap"]
                
Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/security-content/bundles/{id}/status